package ch.unisg.executorpool;

import com.tngtech.archunit.core.importer.ClassFileImporter;
import org.junit.jupiter.api.Test;

import static com.tngtech.archunit.lang.syntax.ArchRuleDefinition.noClasses;

public class DependencyRuleTests {
    @Test
    void testPackageDependencies() {
        noClasses()
            .that()
            .resideInAPackage("ch.unisg.executorpool.domain..")
            .should()
            .dependOnClassesThat()
            .resideInAnyPackage("ch.unisg.executorpool.application..")
            .check(new ClassFileImporter()
                .importPackages("ch.unisg.executorpool.."));
    }
}
